rte_pie_config(3)

NAME
rte_pie_config

SYNOPSIS

#include <rte_pie.h>

  Data Fields

uint64_t qdelay_ref
uint64_t dp_update_interval
uint64_t max_burst
uint16_t tailq_th

Detailed Description

PIE configuration parameters

Definition at line 45 of file rte_pie.h.

Field Documentation

  uint64_t qdelay_ref
Latency Target (in CPU cycles.)

Definition at line 46 of file rte_pie.h.

  uint64_t dp_update_interval
Update interval for drop probability (in CPU cycles)

Definition at line 47 of file rte_pie.h.

  uint64_t max_burst
Max Burst Allowance (in CPU cycles.)

Definition at line 48 of file rte_pie.h.

  uint16_t tailq_th
Tailq drop threshold (packet counts)

Definition at line 49 of file rte_pie.h.

Author

Generated automatically by Doxygen for DPDK from the source code.